version: '3.7'

services:
  rtabmap_orb_slam3:
    build:
      context: .
      dockerfile: Dockerfile
      target: rtabmap_orb_slam3
    image: rtabmap_orb_slam3:latest
    volumes:
      - /internalSSD512/vio_repos/rtabmap/rtabmap_cp:/rtabmap_cp
      - /tmp/.X11-unix:/tmp/.X11-unix
      - $SSH_AUTH_SOCK:/ssh-agent
      - ~/.Xauthority:/root/.Xauthority
      - ~/.gitconfig:/etc/gitconfig
      #- /etc/ssh/ssh_config.d/:/etc/ssh/ssh_config.d/
      #- /internalSSD512/datasets:/datasets
      - /media/rsi/T75:/datasets 
    network_mode: host
    privileged: true
    container_name: rtabmap_orb_slam3_container
    environment:
      DISPLAY: $DISPLAY
      NAMESPACE: $NAMESPACE
    #command: sudo chmod +x /rtabmap_cp/run.sh && bash -c "/rtabmap_cp/run.sh
    tty: true
